Skip to main content
GET
Ad Details
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

id
string

Facebook Ad Id

Example:

"702369045530963"

url
string

Facebook Ad URL

Example:

"https://www.facebook.com/ads/library?id=1185617869915074"

get_transcript
boolean

Get the transcript of the ad. This is a new feature, so let me know if its not working how you expected.

Example:

false

trim
boolean

Set to true for a trimmed down version of the response

Example:

false

Response

Successful response

Key Response Fields:

  • data.adArchiveID: The actual ad ID (note: adid is always 0 — always use adArchiveID)
  • data.isActive: Whether the ad is currently running
  • data.pageName: Name of the Facebook page running the ad
  • data.pageID: Facebook page ID
  • data.startDateString: ISO timestamp of when the ad started running
  • data.endDateString: ISO timestamp of when the ad stopped (or is scheduled to stop)
  • data.publisherPlatform: Platforms the ad runs on (e.g., facebook, instagram, messenger)
  • data.snapshot.title: Ad headline/title
  • data.snapshot.body: Ad body copy
  • data.snapshot.cta_text: Call-to-action button text (e.g., "Install Now", "Shop Now")
  • data.snapshot.cta_type: CTA type identifier (e.g., "INSTALL_MOBILE_APP", "SHOP_NOW")
  • data.snapshot.cards[0].title: Title from the first carousel card (for multi-creative ads)
  • data.snapshot.cards[0].body: Body text from the first carousel card